<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsuranceBookingRulesResponse StructType
 * @subpackage Structs
 */
class InsuranceBookingRulesResponse extends AbstractStructBase
{
    /**
     * The BookingRulesRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BookingRulesRS
     */
    public $BookingRulesRS;
    /**
     * Constructor method for InsuranceBookingRulesResponse
     * @uses InsuranceBookingRulesResponse::setBookingRulesRS()
     * @param \StructType\JP_BookingRulesRS $bookingRulesRS
     */
    public function __construct(\StructType\JP_BookingRulesRS $bookingRulesRS = null)
    {
        $this
            ->setBookingRulesRS($bookingRulesRS);
    }
    /**
     * Get BookingRulesRS value
     * @return \StructType\JP_BookingRulesRS|null
     */
    public function getBookingRulesRS()
    {
        return $this->BookingRulesRS;
    }
    /**
     * Set BookingRulesRS value
     * @param \StructType\JP_BookingRulesRS $bookingRulesRS
     * @return \StructType\InsuranceBookingRulesResponse
     */
    public function setBookingRulesRS(\StructType\JP_BookingRulesRS $bookingRulesRS = null)
    {
        $this->BookingRulesRS = $bookingRulesRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsuranceBookingRulesResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
